"""
ZPyIrc and ZPyIrcSimpleBot

Copyright (c) 2003 Sylvain Hellegouarch.  Distributed under GNU GPL.
Authors: Sylvain Hellegouarch (sh@programmationworld.com)

"""
import ZPyIrc
import ZPyIrcSimpleBot

def initialize(context):
    context.registerClass(ZPyIrc.ZPyIrc,
                          constructors = (ZPyIrc.manage_addZPyIrcForm,
                                          ZPyIrc.manage_addZPyIrc),
                          icon = 'ui/img/bus.gif')

    context.registerClass(ZPyIrcSimpleBot.ZPyIrcSimpleBot,
                          constructors = (ZPyIrcSimpleBot.manage_addZPyIrcSimpleBotForm,
                                          ZPyIrcSimpleBot.manage_addZPyIrcSimpleBot),
                          icon = '')
